checkMD5sums              package:tools              R Documentation

Check and Create MD5 Checksum Files

Description:

     'checkMD5sums' checks the files against a file 'MD5';
     '.installMD5sums' creates such a file.

Usage:

     checkMD5sums(pkg, dir)
     .installMD5sums(pkgDir, outDir = pkgDir)

Arguments:

     pkg: the name of an installed package

dir, pkgDir: the path to the top-level directory of an installed
          package.

  outDir: the directory within which to create the 'MD5' file.

Details:

     The file 'MD5' which is created is in a format which can be
     checked by 'md5sum -c MD5' if a suitable command-line version of
     'md5sum' is available.

     If 'dir' is missing, an installed package of name 'pkg' is
     searched for.

Value:

     'checkMD5sums' returns a logical, 'NA' if there is no 'MD5' file
     to be checked.

See Also:

     'md5sum'

